using OpenWarehouse.auth.lib.Model.Role;
using OpenWarehouse.auth.lib.Model.Service;

namespace OpenWarehouse.auth.api.Common.ServiceManager;



public interface IServiceManager
{
    public Task<bool> CheckIfServiceUserExist(string serviceName);
    public Task<bool> CreateServiceUserResult(string serviceName, bool serviceIsAdmin = false);
    public Task<bool> AddAdminToServiceUser(string serviceName);
    public Task<List<CreateServiceRoleResult>> CreateServiceRoles(List<RoleModel> serviceRoles, bool forcePrivilages = false);
    public Task<List<CreateServicePrivilageResult>> CreateServicesPrivilage(List<string> servicePrivilages);
}